package com.willalp.common.enums;

/**
 * 消费模式类别
 *
 * @author willalp
 */
public enum PartternIdEnum {

    RESERVE(1, "订餐消费"),
    CREDIT(2, "订餐记账"),
    FREEDOM(3, "点餐消费"),
    FREE_CREDIT(4, "点餐记账"),
    LIVE_PAY(5, "现场消费");

    private Integer value;

    private String label;

    PartternIdEnum(Integer value, String label) {
        this.value = value;
        this.label = label;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
